'use strict'

const elv = require('elv');

exports.register = (server, options, next) => {
  const route = {
    'method': 'GET',
    'path': options.route || '/heartbeat',
    'handler': (request, reply) => {
      server.inject({
        'url': options.liveness,
        'headers': options.headers
      }, (result) => {
        reply(result.statusCode < 500);
      });
    }
  };

  if (elv(options.auth)) {
    route.config = {
      'auth': options.auth
    }
  }

  server.route(route);

  next();
};

exports.register.attributes = {
  'pkg': {
    'name': 'hapi-heartbeat2'
  }
};
